/****** Object:  Table [dbo].[tMessageTransaction]    Script Date: 09/12/2012 11:27:06 AM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[tMessageTransaction](
	[MessageTransactionID] [uniqueidentifier] NOT NULL,
	[TransactionTypeID] [int] NOT NULL,
	[TransactionID] [varchar](7) NOT NULL,
	[Message] [varchar](max) NOT NULL,
	[ReferenceID] [uniqueidentifier] NULL,
	[ConversationID] [varchar](max) NULL,
	[Date] [datetime] NOT NULL,
	[FileAttachment] [varbinary](max) NULL,
	[FileExtension] [varchar](10) NULL,
	[Direction] [varchar](15) NULL,
	[MessageType] [varchar](10) NULL,
 CONSTRAINT [tMessageTransaction_MessageTransactionID] PRIMARY KEY NONCLUSTERED 
(
	[MessageTransactionID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[tMessageTransaction] ADD  CONSTRAINT [tMessage_MessageTransactionID]  DEFAULT (newid()) FOR [MessageTransactionID]
GO

ALTER TABLE [dbo].[tMessageTransaction] ADD  CONSTRAINT [tMessageTransaction_Date_Default]  DEFAULT (getdate()) FOR [Date]
GO


INSERT INTO [dbo].[tMessageTransaction]
           ([TransactionTypeID]
           ,[TransactionID]
           ,[Message]
           ,[ReferenceID]
           ,[ConversationID]
           ,[Date]
           ,[FileAttachment]
           ,[FileExtension]
           ,[Direction]
           ,[MessageType])
     VALUES
           (10
           ,'10264'
           ,'Hello'
           ,'449186ca-dc14-40e7-95f8-b920194e0bcd'
           ,NULL
           ,'2012-03-21 12:48:12.340'
           ,NULL
           ,'.PDF'
           ,'Inbound'
           ,'email')
GO

INSERT INTO [dbo].[tMessageTransaction]
           ([TransactionTypeID]
           ,[TransactionID]
           ,[Message]
           ,[ReferenceID]
           ,[ConversationID]
           ,[Date]
           ,[FileAttachment]
           ,[FileExtension]
           ,[Direction]
           ,[MessageType])
     VALUES
           (10
           ,'10264'
           ,'Hi there.'
           ,'449186ca-dc14-40e7-95f8-b920194e0bcd'
           ,NULL
           ,'2012-03-22 12:48:12.340'
           ,NULL
           ,NULL
           ,'Inbound'
           ,'sms')
GO

